<?php
/**
 * TS Charity : Block Patterns
 *
 * @package  TS Charity 
 * @since   1.0.0
 */

/**
 * Register Block Pattern Category.
 */
if ( function_exists( 'register_block_pattern_category' ) ) {

	register_block_pattern_category(
		'ts-charity',
		array( 'label' => __( ' TS Charity ', 'ts-charity' ) )
	);
}

/**
 * Register Block Patterns.
 */
if ( function_exists( 'register_block_pattern' ) ) {
	register_block_pattern(
		'ts-charity/banner-section',
		array(
			'title'      => __( 'Banner Section', 'ts-charity' ),
			'categories' => array( 'ts-charity' ),
			'content'    => "<!-- wp:cover {\"url\":\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\",\"id\":147,\"dimRatio\":50,\"minHeight\":600,\"align\":\"full\",\"className\":\"banner-section\"} -->\n<div class=\"wp-block-cover alignfull banner-section\" style=\"min-height:600px\"><span aria-hidden=\"true\" class=\"wp-block-cover__background has-background-dim\"></span><img class=\"wp-block-cover__image-background wp-image-147\" alt=\"\" src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/banner.png\" data-object-fit=\"cover\"/><div class=\"wp-block-cover__inner-container\"><!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"10%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:10%\"></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\",\"className\":\"banner-section-content\"} -->\n<div class=\"wp-block-column banner-section-content\" style=\"flex-basis:50%\"><!-- wp:heading {\"level\":1,\"style\":{\"color\":{\"text\":\"#fcb20b\"},\"typography\":{\"fontSize\":\"38px\"}}} -->\n<h1 class=\"has-text-color\" style=\"color:#fcb20b;font-size:38px\">LOREM IPSUM DOLOR SIT AMET, CONSECTETUR ADIPISCING ELIT</h1>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"15px\"}},\"textColor\":\"white\"} -->\n<p class=\"has-white-color has-text-color\" style=\"font-size:15px\">Lorem ipsum is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:buttons -->\n<div class=\"wp-block-buttons\"><!-- wp:button {\"textColor\":\"black\",\"style\":{\"border\":{\"radius\":\"0px\"},\"color\":{\"background\":\"#fcb20b\"},\"typography\":{\"fontSize\":\"14px\"}},\"className\":\"banner-section-btn\"} -->\n<div class=\"wp-block-button has-custom-font-size banner-section-btn\" style=\"font-size:14px\"><a class=\"wp-block-button__link has-black-color has-text-color has-background\" style=\"border-radius:0px;background-color:#fcb20b\">READ MORE</a></div>\n<!-- /wp:button --></div>\n<!-- /wp:buttons --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"25%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:25%\"></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div></div>\n<!-- /wp:cover -->",
		)
	);

	register_block_pattern(
		'ts-charity/service-section',
		array(
			'title'      => __( 'service-section', 'ts-charity' ),
			'categories' => array( 'ts-charity' ),
			'content'    => "<!-- wp:group {\"className\":\"mt-3 mt-md-4 mt-lg-5 service-section\"} -->\n<div class=\"wp-block-group mt-3 mt-md-4 mt-lg-5 service-section\"><!-- wp:heading {\"textAlign\":\"center\",\"style\":{\"typography\":{\"fontSize\":\"30px\"}},\"textColor\":\"black\",\"className\":\" pb-0 mb-0\"} -->\n<h2 class=\"has-text-align-center pb-0 mb-0 has-black-color has-text-color\" style=\"font-size:30px\">OUR CAUSES</h2>\n<!-- /wp:heading -->\n\n<!-- wp:image {\"align\":\"center\",\"id\":81,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mt-0 mb-0 outline\"} -->\n<figure class=\"wp-block-image aligncenter size-full mt-0 mb-0 outline\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/outline.png\" alt=\"\" class=\"wp-image-81\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:columns {\"className\":\"mt-4\"} -->\n<div class=\"wp-block-columns mt-4\"><!-- wp:column {\"className\":\"service-box\"} -->\n<div class=\"wp-block-column service-box\"><!-- wp:image {\"id\":70,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image1.png\" alt=\"\" class=\"wp-image-70\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"22px\"}}} -->\n<h3 style=\"font-size:22px\">LOREM IPSUM DOLOR SIT AMET</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#717171\"},\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#717171;font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industrys standard dummy text</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\"}},\"className\":\"root\"} -->\n<p class=\"root\" style=\"font-size:17px\">root</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"width\":\"50%\"} -->\n<div class=\"wp-block-column\" style=\"flex-basis:50%\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\"}},\"className\":\"comment\"} -->\n<p class=\"comment\" style=\"font-size:17px\">oComment</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"service-box\"} -->\n<div class=\"wp-block-column service-box\"><!-- wp:image {\"id\":71,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image2.png\" alt=\"\" class=\"wp-image-71\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"22px\"}}} -->\n<h3 style=\"font-size:22px\">LOREM IPSUM DOLOR SIT AMET</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#717171\"},\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#717171;font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\"}},\"className\":\"root\"} -->\n<p class=\"root\" style=\"font-size:17px\">root</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\"}},\"className\":\"comment\"} -->\n<p class=\"comment\" style=\"font-size:17px\">oComment</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column -->\n\n<!-- wp:column {\"className\":\"service-box\"} -->\n<div class=\"wp-block-column service-box\"><!-- wp:image {\"id\":72,\"sizeSlug\":\"full\",\"linkDestination\":\"none\",\"className\":\"mb-0\"} -->\n<figure class=\"wp-block-image size-full mb-0\"><img src=\"" . esc_url(get_template_directory_uri()) . "/theme-block-pattern/images/service-image3.png\" alt=\"\" class=\"wp-image-72\"/></figure>\n<!-- /wp:image -->\n\n<!-- wp:heading {\"level\":3,\"style\":{\"typography\":{\"fontSize\":\"22px\"}}} -->\n<h3 style=\"font-size:22px\">LOREM IPSUM DOLOR SIT AMET</h3>\n<!-- /wp:heading -->\n\n<!-- wp:paragraph {\"style\":{\"color\":{\"text\":\"#717171\"},\"typography\":{\"fontSize\":\"15px\"}}} -->\n<p class=\"has-text-color\" style=\"color:#717171;font-size:15px\">Lorem Ipsum&nbsp;is simply dummy text of the printing and typesetting industry. Lorem Ipsum has been the industry’s standard dummy text</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:columns -->\n<div class=\"wp-block-columns\"><!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\"}},\"className\":\"root\"} -->\n<p class=\"root\" style=\"font-size:17px\">root</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column -->\n\n<!-- wp:column -->\n<div class=\"wp-block-column\"><!-- wp:paragraph {\"style\":{\"typography\":{\"fontSize\":\"17px\"}},\"className\":\"comment\"} -->\n<p class=\"comment\" style=\"font-size:17px\">oComment</p>\n<!-- /wp:paragraph --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:column --></div>\n<!-- /wp:columns --></div>\n<!-- /wp:group -->",
		)
	);
}